import { createRouter, createWebHistory } from "vue-router";
import HomeView from "../views/home/home/HomeView.vue";
import News from "../views/home/hotnews/News.vue";
import TaiyuanNews from "../views/home/tynews/TaiyuanNews.vue";
import ShanxiNews from "../views/home/sxnews/ShanxiNews.vue";
import Announcements from "../views/home/announcements/Announcements.vue";

import PyHome from "../views/py/PyHome.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/home/home",
      name: "home",
      component: HomeView,
    },
    {
      path: "/home/news",
      name: "News",
      component: News,
    },
    {
      path: "/home/tynews",
      name: "TyNews",
      component: TaiyuanNews,
    },
    {
      
      path: "/home/sxnews",
      name: "SxNews",
      component: ShanxiNews,
    },
    {
      path: "/home/announcements",
      name: "Announcements",
      component: Announcements,
    },
    {
      path: "/py",
      name: "PyHome",
      component: PyHome,
    },
  ],
});

export default router;
